body {
  font-family: "Raleway", sans-serif;
  margin: 0px 0px;
  min-height: 100vh;
  min-width: fit-content;
  display: flex;
  flex-direction: column;
  font-size: 1rem;
  font-weight: 400;
  color: #212529;
  background-color: rgb(6, 21, 81);
}

.sticky-nav {
  height: 100vh;
  z-index: 100;
  position: fixed;
  top: 0;
  top: 0;
  left: 0;
  right: 0;
  margin-bottom: 20px;
}

.navItemsInner {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.navbar-main {
  background-color: rgb(6, 21, 81);
  padding: 20px 10px;
  display: flex;
  justify-content: flex-end;
  border-bottom: 3px solid #8151f1;
}

.nav-item-container {
  display: flex;
  justify-content: space-between;
}

.fa-solid,
.fa-regular {
  color: #ffffff;
  padding-right: 8px;
  padding-top: 2px;
}

.nav-items {
  width: 35%;
  display: flex;
  justify-content: space-between;
  margin-right: 50px;
}

.welcome-main {
  background-color: rgb(6, 21, 81);
  position: relative;
  width: 100%;
  height: 100%;
  margin-bottom: 20%;
  /* margin-top: -1.5%; */
}

.nav-item.active {
  color: #8151f1;
}

.video-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
  opacity: 0.2;
}

.welcome-message-container {
  text-align: center;
  height: 100%;
  margin: 0 auto;
  color: #fff;
  padding-top: 8%;
  padding-bottom: 3%;
  position: relative;
  z-index: 1;
  padding: 20px;
}

#welcome-name {
  color: #8151f1;
  font-weight: 400px;
}

#welcome-career {
  color: #8151f1;
}

.welcome-text-container {
  width: 60%;
  padding-top: 10%;
  margin: 0 auto;
  margin-bottom: 20%;
}

.welcome-h1 {
  font-weight: 900;
  font-size: 55px;
}

.small-circles {
  position: absolute;
  right: 1%;
  z-index: -1;
  width: 5%;
}

.small-circles-1 {
  position: absolute;
  left: 1%;
  z-index: -1;
  width: 5%;
}

.nav-item {
  color: white;
}

.nav-item:hover {
  color: rgb(133, 77, 255);
  text-decoration: none;
}

.x-image {
  display: flex;
  justify-content: flex-end;
  margin-right: 4%;
}

.carousel {
  width: 70vw;
  height: 100vh;
  position: relative;
  margin: 0 auto;
  margin-top: -15%;
}

.carousel > ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.slide {
  position: absolute;
  inset: 0;
  opacity: 0;
  transition: 200ms opacity ease-in-out;
  transition-delay: 200ms;
}

.slide > img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.slide[data-active] {
  opacity: 1;
  z-index: 1;
  transition-delay: 0ms;
}

.carousel-button {
  position: absolute;
  z-index: 1000;
  background: none;
  border: none;
  font-size: 4rem;
  top: 50%;
  transform: translateY(-50%);
  color: rgba(255, 255, 255, 0.5);
  cursor: pointer;
  /* border-radius: 0.25rem; */
  padding: 0 0.5rem;
  /* background-color: rgba(0, 0, 0, 0.1); */
}

.carousel-button:hover,
.carousel-button:focus {
  color: white;
  /* background-color: rgba(0, 0, 0, 0.2); */
}

.carousel-button:focus {
  outline: 1px solid #8151f1;
}

.carousel-button.prev {
  left: 1rem;
}

.carousel-button.next {
  right: 1rem;
}

.bio-section {
  background-color: white;
  height: 100vh;
  padding-top: 8%;
  padding-bottom: 3%;
}

#bio-heading {
  text-align: center;
  font-weight: 800;
}

.about-vision-skills {
  display: flex;
  justify-content: space-between;
  width: 90%;
  margin: 0 auto;
}

.bio-sub-heading {
  color: #8151f1;
  font-weight: 800;
  font-size: x-large;
  padding-bottom: 20px;
  height: 40%;
}

.bio-image {
  padding-bottom: 10px;
}

.bio-header-text {
  height: 10%;
}

.bio-item {
  padding: 25px;
  width: 30%;
  text-align: center;
}

.bio-text-container {
  padding-top: 20px;
}

.elevator-pitch-section {
  height: 100vh;
  background-color: rgb(6, 21, 81);
}

#elevator-pitch-image {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* z-index: -1; */
  opacity: 0.2;
}

#elevator-pitch-heading {
  font-size: xx-large;
  text-align: center;
  color: white;
  padding-top: 4%;
}

#elevator-pitch-content {
  color: white;
  text-align: center;
  width: 60%;
  margin: 0 auto;
  padding-top: 1%;
}

.elevator-pitch-image-x-o-left {
  width: 40%;
  display: flex;
  justify-content: center;
  padding-top: 2%;
}

.elevator-pitch-image-x-o-right {
  width: 90%;
  display: flex;
  justify-content: flex-end;
  padding-top: 2%;
}

@keyframes slide {
  0%,
  100% {
    transform: translateX(0);
  }
  33.33%,
  100% {
    transform: translateX(-100%);
  }
  66.66%,
  100% {
    transform: translateX(-200%);
  }
}

.footer-dark {
  padding: 20px 0;
  background-color: #061551;
  bottom: 0;
  top: 0;
  position: relative;
}

.footer-icons {
  display: flex;
  margin: 0 auto;
  width: 8%;
  justify-content: space-between;
}

.copyright {
  color: #854dff;
  text-align: center;
  margin-top: 20px;
}

.menu-button {
  display: none;
}

@media (max-width: 768px) {
  .sticky-nav {
    height: fit-content;
  }

  .footer-dark .item:not(.social) {
    text-align: center;
    padding-bottom: 20px;
  }

  .navbar-main {
    height: 10vh;
  }

  .fa-solid,
  .fa-regular {
    color: black;
    padding-right: 8px;
    padding-top: 2px;
  }

  .nav-items {
    display: none;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 200px;
    background-color: #ffffff;
    box-shadow: -2px 0 10px rgba(0, 0, 0, 0.1); /* Adding shadow on the left side */
    transform: translateX(100%); /* Initially off-screen to the right */
    transition: transform 0.3s ease-in-out;
    color: black;
  }

  .navItemsInner {
    display: flex;
    flex-direction: column;
    height: 20vh;
    padding: 10px 10px;
    color: black;
    font-size: 1.2rem;
  }

  .nav-items.active {
    transform: translateX(0); /* Moves the menu into view */
  }

  .nav-items.active {
    display: flex;
  }

  .welcome-text-container {
    padding-top: 20%;
    width: 80%;
  }

  .menu-button {
    display: block;
    background-color: #007bff;
    color: #ffffff;
    border: none;
    padding: 10px 15px;
    font-size: 18px;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
    border-radius: 10%;
  }

  .nav-item {
    color: black;
    padding: 10px 0;
  }

  .menu-button:focus {
    outline: none;
  }

  .welcome-message-container {
    width: fit-content;
  }

  .carousel {
    width: 100vw;
    height: 70vh;
  }

  .carousel-button {
    z-index: 10;
  }

  .about-vision-skills {
    flex-direction: column;
  }

  .bio-section {
    height: fit-content;
  }

  .elevator-pitch-section {
    height: fit-content;
  }

  #elevator-pitch-content {
    width: 80%;
    margin: 0 auto;
    padding-top: 1%;
  }

  .footer-icons {
    width: 30%;
  }

  @media (max-width: 991px) {
    .footer-dark .item.social {
      text-align: center;
      margin-top: 20px;
    }
  }
}

@media (max-width: 820px) and (device-height: 1180px) and (orientation: portrait) {
  .sticky-nav {
    height: fit-content;
  }

  .fa-solid,
  .fa-regular {
    color: black;
    padding-right: 8px;
    padding-top: 2px;
  }

  .footer-dark .item:not(.social) {
    text-align: center;
    padding-bottom: 20px;
  }

  .navbar-main {
    height: 10vh;
  }

  .nav-items {
    display: none;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 200px;
    background-color: #ffffff;
    box-shadow: -2px 0 10px rgba(0, 0, 0, 0.1); /* Adding shadow on the left side */
    transform: translateX(100%); /* Initially off-screen to the right */
    transition: transform 0.3s ease-in-out;
    color: black;
  }

  .navItemsInner {
    display: flex;
    flex-direction: column;
    height: 20vh;
    padding: 10px 10px;
    color: black;
    font-size: 1.2rem;
  }

  .nav-items.active {
    transform: translateX(0); /* Moves the menu into view */
  }

  .nav-items.active {
    display: flex;
  }

  .welcome-text-container {
    padding-top: 20%;
    width: 80%;
  }

  .menu-button {
    display: block;
    background-color: #007bff;
    color: #ffffff;
    border: none;
    padding: 10px 15px;
    font-size: 18px;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
    border-radius: 10%;
  }

  .nav-item {
    color: black;
    padding: 10px 0;
  }

  .menu-button:focus {
    outline: none;
  }

  .welcome-message-container {
    width: fit-content;
  }

  .carousel {
    width: 100vw;
    height: 70vh;
  }

  .carousel-button {
    z-index: 10;
  }

  .about-vision-skills {
    flex-direction: column;
  }

  .bio-section {
    height: fit-content;
  }

  .elevator-pitch-section {
    height: fit-content;
  }

  #elevator-pitch-content {
    width: 80%;
    margin: 0 auto;
    padding-top: 1%;
  }

  .footer-icons {
    width: 30%;
  }
}

@media (max-width: 912px) and (device-height: 1368px) and (orientation: portrait) {
  .sticky-nav {
    height: fit-content;
  }

  .fa-solid,
  .fa-regular {
    color: black;
    padding-right: 8px;
    padding-top: 2px;
  }

  .footer-dark .item:not(.social) {
    text-align: center;
    padding-bottom: 20px;
  }

  .navbar-main {
    height: 10vh;
  }

  .nav-items {
    display: none;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 200px;
    background-color: #ffffff;
    box-shadow: -2px 0 10px rgba(0, 0, 0, 0.1); /* Adding shadow on the left side */
    transform: translateX(100%); /* Initially off-screen to the right */
    transition: transform 0.3s ease-in-out;
    color: black;
  }

  .navItemsInner {
    display: flex;
    flex-direction: column;
    height: 20vh;
    padding: 10px 10px;
    color: black;
    font-size: 1.2rem;
  }

  .nav-items.active {
    transform: translateX(0); /* Moves the menu into view */
  }

  .nav-items.active {
    display: flex;
  }

  .welcome-text-container {
    padding-top: 20%;
    width: 80%;
  }

  .menu-button {
    display: block;
    background-color: #007bff;
    color: #ffffff;
    border: none;
    padding: 10px 15px;
    font-size: 18px;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
    border-radius: 10%;
  }

  .nav-item {
    color: black;
    padding: 10px 0;
  }

  .menu-button:focus {
    outline: none;
  }

  .welcome-message-container {
    width: fit-content;
  }

  .carousel {
    width: 100vw;
    height: 70vh;
  }

  .carousel-button {
    z-index: 10;
  }

  .about-vision-skills {
    flex-direction: column;
  }

  .bio-section {
    height: fit-content;
  }

  .elevator-pitch-section {
    height: fit-content;
  }

  #elevator-pitch-content {
    width: 80%;
    margin: 0 auto;
    padding-top: 1%;
  }

  .footer-icons {
    width: 30%;
  }
}

@media (max-width: 280px) and (device-height: 653px) and (orientation: portrait) {
  .sticky-nav {
    height: fit-content;
  }

  .fa-solid,
  .fa-regular {
    color: black;
    padding-right: 8px;
    padding-top: 2px;
  }

  .footer-dark .item:not(.social) {
    text-align: center;
    padding-bottom: 20px;
  }

  .navbar-main {
    height: 10vh;
  }

  .nav-items {
    display: none;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 200px;
    background-color: #ffffff;
    box-shadow: -2px 0 10px rgba(0, 0, 0, 0.1); /* Adding shadow on the left side */
    transform: translateX(100%); /* Initially off-screen to the right */
    transition: transform 0.3s ease-in-out;
    color: black;
  }

  .navItemsInner {
    display: flex;
    flex-direction: column;
    height: 20vh;
    padding: 10px 10px;
    color: black;
    font-size: 1.2rem;
  }

  .nav-items.active {
    transform: translateX(0); /* Moves the menu into view */
  }

  .nav-items.active {
    display: flex;
  }

  .welcome-text-container {
    padding-top: 20%;
    width: 80%;
  }

  .welcome-h1 {
    font-size: 40px;
  }

  .menu-button {
    display: block;
    background-color: #007bff;
    color: #ffffff;
    border: none;
    padding: 10px 15px;
    font-size: 18px;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
    border-radius: 10%;
  }

  .nav-item {
    color: black;
    padding: 10px 0;
  }

  .menu-button:focus {
    outline: none;
  }

  .welcome-message-container {
    width: fit-content;
  }

  .carousel {
    width: 100vw;
    height: 70vh;
  }

  .carousel-button {
    z-index: 10;
  }

  .about-vision-skills {
    flex-direction: column;
  }

  .bio-section {
    height: fit-content;
  }

  .elevator-pitch-section {
    height: fit-content;
  }

  #elevator-pitch-content {
    width: 80%;
    margin: 0 auto;
    padding-top: 1%;
  }

  .footer-icons {
    width: 30%;
  }
}

@media (max-width: 1024px) and (device-height: 600px) {
  .nav-items {
    width: 40%;
    display: flex;
    justify-content: space-between;
    margin-right: 50px;
  }

  .fa-solid,
  .fa-regular {
    color: black;
    padding-right: 8px;
    padding-top: 2px;
  }

  .welcome-text-container {
    width: 80%;
    padding-top: 10%;
    margin: 0 auto;
    margin-bottom: 20%;
  }

  #elevator-pitch-content {
    width: 80%;
    margin: 0 auto;
    padding-top: 1%;
  }
}

@media (max-width: 1343px) and (device-height: 609px) {
  .bio-section {
    height: fit-content;
  }

  .bio-sub-heading {
    height: 20%;
  }

  .nav-items {
    width: 45%;
  }
}
